#
#===============================================================================
#
#         FILE:  syslang.pm
#
#  DESCRIPTION:  Subroutine to get the system default language. Returns the first part of the language(iso format) if true. Returns "notfound" if lang not found,  etc.
#
#        FILES:  ---
#         BUGS:  0 so far
#        NOTES:  Add some more checks to be 99% sure about the language. Add more languages support.
#       AUTHOR:  Leo A. (hexbase), aguado.leonardo@gmail.com
#      COMPANY:  
#      VERSION:  1.0
#      CREATED:  12/07/09 01:20:52
#     REVISION:  001
#===============================================================================

#HOWTO use this subroutine.
#call the file first. "use ./lib/syslang.pm"
#then,  call the subroutine. Eg: my $lang= syslang();
#Any doubts? Hit the forums and make sure you checked out this file description

use strict;
use warnings;

sub syslang {

#open the file where the system language is stored
#get some info if this file is where this data is stored. (rev 002)
open LANGFILE, '/etc/default/locale' or die $!;
#save the file contents in a scalar var
my @lines = <LANGFILE>;
close(LANGFILE);

#set the default language(null)

my $lang='notfound';

# for every line in @lines,  store them in $string
for my $string (@lines) {
    #chomp(eliminate) the \n
    chomp $string;
    #the lang conditionals

    #each one searchs for a defined pattern (between the m//)
    #if the pattern is found,  stop the loop with the last command.
    if ($string =~  m/es_/) {
        $lang = 'es';
        last;
    }
    if ($string ==~  m/en_/){
    $lang = 'en';
        last;
    }
    if ($string ==~  m/fr_/){
    $lang = 'fr';
        last;
    }
    if ($string ==~  m/de_/){
    $lang = 'de';
        last;
    }
}

return ($lang);

}

1;
