#!/usr/bin/perl

use strict;
use warnings;

package services;

# just forwarding to the "real" CheckPerl Sub with variables
# title, filename of this file, exception file and error level
sub check {
    use lib::check;
    my $opt_output = $_[1];

    # the title of the check for the output
    my $title           = "Listening Services";                      
    # the filename of this file
    my $package_name        = "services";
    # the exception file
    my $exception_file  = "conf/whitelists/services-whitelist.conf";
    check::CheckPerl( $title, $package_name, $exception_file, $opt_output );
}



sub perl {

######################################
# CHECK START
# HERE IS THE PERL CODE FOR THE CHECK
# returns results as list  in @outcomes

my @netstat = `netstat -luntp`;
my @outcomes;
my %clear;
foreach (@netstat) {
    my ($port) = $_ =~ /:(\d+)\s/;
    my ($program) = $_ =~ /\/([\w|-]+)/;
    $clear{$port} = $program if $port;
}
for(sort {$a <=> $b} keys %clear) {
     push(@outcomes, "$_:$clear{$_}");
     }


#
# CHECK END
######################################
return @outcomes;
}

1;
